/******************************************************************************
 * Product: Compiere ERP & CRM Smart Business Solution                        *
 * Copyright (C) 1999-2007 ComPiere, Inc. All Rights Reserved.                *
 * This program is free software, you can redistribute it and/or modify it    *
 * under the terms version 2 of the GNU General Public License as published   *
 * by the Free Software Foundation. This program is distributed in the hope   *
 * that it will be useful, but WITHOUT ANY WARRANTY, without even the implied *
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.           *
 * See the GNU General Public License for more details.                       *
 * You should have received a copy of the GNU General Public License along    *
 * with this program, if not, write to the Free Software Foundation, Inc.,    *
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.                     *
 * For the text or an alternative of this public license, you may reach us    *
 * ComPiere, Inc., 3600 Bridge Parkway #102, Redwood City, CA 94065, USA      *
 * or via info@compiere.org or http://www.compiere.org/license.html           *
 *****************************************************************************/
package org.compiere.model;

/** Generated Model - DO NOT CHANGE */
import java.sql.*;
import java.math.*;
import org.compiere.framework.*;
import org.compiere.util.*;
/** Generated Model for T_ImpFormat
 *  @author Jorg Janke (generated) 
 *  @version Release 3.0.0 - $Id: GenerateModel.java,v 1.1 2008/01/16 07:34:32 jrmt Exp $ */
public class X_T_ImpFormat extends PO
{
/** Standard Constructor
@param ctx context
@param T_ImpFormat_ID id
@param trxName transaction
*/
public X_T_ImpFormat (Ctx ctx, int T_ImpFormat_ID, String trxName)
{
super (ctx, T_ImpFormat_ID, trxName);
/** if (T_ImpFormat_ID == 0)
{
setT_ImpFormat_ID (0);
}
 */
}
/** Load Constructor 
@param ctx context
@param rs result set 
@param trxName transaction
*/
public X_T_ImpFormat (Ctx ctx, ResultSet rs, String trxName)
{
super (ctx, rs, trxName);
}
/** Serial Version No */
static final long serialVersionUID = 27474876403789L;
/** Last Updated Timestamp 2007-10-19 08:44:47.0 */
public static final long updatedMS = 1192751087000L;
/** AD_Table_ID=992 */
public static final int Table_ID=992;

/** TableName=T_ImpFormat */
public static final String Table_Name="T_ImpFormat";

protected static KeyNamePair Model = new KeyNamePair(992,"T_ImpFormat");

protected BigDecimal accessLevel = new BigDecimal(7);
/** AccessLevel
@return 7 - System - Client - Org 
*/
protected int get_AccessLevel()
{
return accessLevel.intValue();
}
/** Load Meta Data
@param ctx context
@return PO Info
*/
protected POInfo initPO (Ctx ctx)
{
POInfo poi = POInfo.getPOInfo (ctx, Table_ID);
return poi;
}
/** Info
@return info
*/
public String toString()
{
StringBuffer sb = new StringBuffer ("X_T_ImpFormat[").append(get_ID()).append("]");
return sb.toString();
}
/** Set BinaryData.
@param BinaryData Binary Data */
public void setBinaryData (byte[] BinaryData)
{
set_Value ("BinaryData", BinaryData);
}
/** Get BinaryData.
@return Binary Data */
public byte[] getBinaryData() 
{
return (byte[])get_Value("BinaryData");
}
/** Set Name.
@param Name Alphanumeric identifier of the entity */
public void setName (String Name)
{
if (Name != null && Name.length() > 120)
{
log.warning("Length > 120 - truncated");
Name = Name.substring(0,120);
}
set_Value ("Name", Name);
}
/** Get Name.
@return Alphanumeric identifier of the entity */
public String getName() 
{
return (String)get_Value("Name");
}
/** Get Record ID/ColumnName
@return ID/ColumnName pair */
public KeyNamePair getKeyNamePair() 
{
return new KeyNamePair(get_ID(), getName());
}
/** Set Import Format.
@param T_ImpFormat_ID Import Format */
public void setT_ImpFormat_ID (int T_ImpFormat_ID)
{
if (T_ImpFormat_ID < 1) throw new IllegalArgumentException ("T_ImpFormat_ID is mandatory.");
set_ValueNoCheck ("T_ImpFormat_ID", new Integer(T_ImpFormat_ID));
}
/** Get Import Format.
@return Import Format */
public int getT_ImpFormat_ID() 
{
Integer ii = (Integer)get_Value("T_ImpFormat_ID");
if (ii == null) return 0;
return ii.intValue();
}
/** Set Web Session.
@param WebSession Web Session ID */
public void setWebSession (String WebSession)
{
if (WebSession != null && WebSession.length() > 2000)
{
log.warning("Length > 2000 - truncated");
WebSession = WebSession.substring(0,2000);
}
set_Value ("WebSession", WebSession);
}
/** Get Web Session.
@return Web Session ID */
public String getWebSession() 
{
return (String)get_Value("WebSession");
}
}
